> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Product Images

> ## Set Product Images ##

Associates already uploaded images to a Product.

#### Response ####

See **Status Codes**



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json put /{supplierapi}/product/{productId}/images
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/images:
    put:
      tags:
        - Version 1
        - Products
      summary: Set Product Images
      description: |-
        ## Set Product Images ##

        Associates already uploaded images to a Product.

        #### Response ####

        See **Status Codes**
      operationId: put_api_product_supplierproduct_setproductimages
      parameters:
        - name: mediaIds
          in: query
          description: >-
            Comma separated list of Media ID's. Maximum of 10 per product. If
            some images were already set, then only the first X will be used to
            fill the remaining spaces.
          required: true
          schema:
            type: string
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: productId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      responses:
        '201':
          description: Returned when successful.
        '204':
          description: >-
            Returned when Media ID's supplied matched existing ID's set against
            Product (no-change).
        '400':
          description: No Media ID's were received.
        '403':
          description: Returned when you do not have access to the requested Product.
        '404':
          description: >-
            Returned when Product not found or Media ID's supplied were not
            found.
        '413':
          description: Returned when maximum number of Product images has already been set.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.